LibreOffice: XAutoTextGroup Interface Reference

LibreOffice LibreOffice 7.5 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XAutoTextGroup Interface Referencepublished

The interface provide methods to insert, rename and delete autotext entries from the current autotext group. More...

Inheritance diagram for XAutoTextGroup:

## Public Member Functions
sequence< string > | getTitles ()
| returns the titles of all autotext entries.
void | renameByName ([in] string aElementName, [in] string aNewElementName, [in] string aNewElementTitle) raises ( com::sun::star::lang::IllegalArgumentException, com::sun::star::container::ElementExistException, com::sun::star::io::IOException )
| renames an entry in the autotext group.
com::sun::star::text::XAutoTextEntry | insertNewByName ([in] string aName, [in] string aTitle, [in] com::sun::star::text::XTextRange xTextRange) raises ( com::sun::star::container::ElementExistException )
| creates a new AutoTextEntry entry.
void | removeByName ([in] string aEntryName) raises ( com::sun::star::container::NoSuchElementException )
| removes the specified autotext entry.
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

The interface provide methods to insert, rename and delete autotext entries from the current autotext group.

## Member Function Documentation

## ◆ getTitles()

sequence< string > getTitles | ( |  | ) |

returns the titles of all autotext entries.

The order of the entries corresponds to the output of the function getElementNames().

## ◆ insertNewByName()

com::sun::star::text::XAutoTextEntry insertNewByName | ( | [in] string | aName,
|  | [in] string | aTitle,
|  | [in] com::sun::star::text::XTextRange | xTextRange
| ) |  |
raises | ( | com::sun::star::container::ElementExistException
| ) |  |

creates a new AutoTextEntry entry.

## ◆ removeByName()

void removeByName | ( | [in] string | aEntryName | ) |
raises | ( | com::sun::star::container::NoSuchElementException
| ) |  |

removes the specified autotext entry.

## ◆ renameByName()

void renameByName | ( | [in] string | aElementName,
|  | [in] string | aNewElementName,
|  | [in] string | aNewElementTitle
| ) |  |
raises | ( | com::sun::star::lang::IllegalArgumentException,
|  | com::sun::star::container::ElementExistException,
|  | com::sun::star::io::IOException
| ) |  |

renames an entry in the autotext group.

The position of the autotext entry is not changed.

The documentation for this interface was generated from the following file:

- com/sun/star/text/XAutoTextGroup.idl